/* This file is part of kmobiletools.
   See COPYING file for licensing information.

   (C) 2005 Marco Gulino <marco.gulino@gmail.com>
   (C) 2005 Stefan Bogner <bochi@kmobiletools.org>

*/

#include "device.h"
#include "kmobiletools_devices.h"

#include <kdebug.h>
#include <qstring.h>
#include <qtimer.h>

using namespace std;

Device::Device(const char* name)
 : QObject(NULL, name)
{
}

Device::~Device()
{
}

#include "device.moc"

void Device::initPhone()
{
    GSM_StateMachine    s;
    INI_Section         *cfg;
    GSM_Error           error;
    unsigned char       buffer[100];

    // find config file (TODO: change to kmobiletools own config dialogs)
    cfg = GSM_FindGammuRC();
    if (cfg == NULL) return;

    // read config file 
   if (!GSM_ReadConfig(cfg, &s.Config[0], 0)) return;

   // make it the first available config (important for multiple devices)
   s.ConfigNum = 1;

   // connect to the phone
   error = GSM_InitConnection(&s, 3);
}

void Device::terminatePhone() 
{
    error = GSM_TerminateConnection( &s );
    kdDebug() << "[ !!! ] Connection closed." << e.getErrorMsg(error) << endl;
}

