/* This file is part of kmobiletools.
   See COPYING file for licensing information.

   (C) 2005 Marco Gulino <marco.gulino@gmail.com>
   (C) 2005 Stefan Bogner <bochi@kmobiletools.org>

*/

#ifndef DEVICE_H
#define DEVICE_H

#include <qobject.h>
#include <qmutex.h>
#include <kdebug.h>
#include "qphoneerror.h"

extern "C" {
    #include <gammu/gammu.h>
}

#undef bool

class Device : public QObject
{
    Q_OBJECT

public:
    Device(const char* name);
    ~Device();

    bool isConnected;
    //bool isLocked() { return locked; }
    //bool disconnectEmitted;

public slots:
    void initPhone();
    void terminatePhone();

protected:
    bool phoneConnected;
    GSM_Error error;
    INI_Section *config;
    QPhoneError e;

public:
    GSM_Phone_Functions *phone;
    GSM_StateMachine s;

signals:
    void disconnected();
    void connected();
    void err();

};

#endif
