/* This file is part of kmobiletools.
   See COPYING file for licensing information.

   (C) 2005 Marco Gulino <marco.gulino@gmail.com>
   (C) 2005 Stefan Bogner <bochi@kmobiletools.org>

*/


#ifndef SMSJOBS_H
#define SMSJOBS_H

#include "kmobiletoolsengine.h"
#include "kmobiletoolsgammu_engine.h"
#include "qphoneerror.h"
#include "gammu_jobs.h"

#include <qptrlist.h>
#include <kabc/addressee.h>
#include <qptrvector.h>

extern "C" {
    #include <gammu/gammu.h>
}
#undef bool

class Device;
class QStringList;
class kmobiletoolsGammu_engine;


class FetchSMS : public kmobiletoolsGammuJob
{
    public:
        FetchSMS (Device *dev, kmobiletoolsGammu_engine* parent = 0 , const char* name = 0);
        int type()            { return kmobiletoolsJob::fetchSMS; }
        SMSList smsList;

    protected:
        void run () ;
    
    private:
        QPhoneError err;

};

class GetSMSFolders : public kmobiletoolsGammuJob
{
    public:
        GetSMSFolders (Device *dev, kmobiletoolsGammu_engine* parent = 0 , const char* name = 0);
        int type()            { return kmobiletoolsJob::smsFolders; }
        QStringList smsFolders;

    protected:
        void run () ;
    
    private:
        QPhoneError err;
        

};

#endif
